let allAasyncRouterMap = [
  ...customerManage.default,
  ...baseManage.default,
  ...systemManage.default,
];

const System = manageShell.default;

System.createSystem({
  basePath: process.env.VUE_APP_BASE_URL,
  routers: allAasyncRouterMap,
  routeFilter: (routes, allRoute) => {
    if (allRoute && allRoute.length) {
      let addRoute = System.utils.route.formatRouteLink(allRoute);
      for (let index = 0; index < addRoute.length; index++) {
        const element = addRoute[index];
        if (element.children) {
          routes = routes.concat(element.children);
        }
      }
    }
    return {
      allRoute,
      routes,
    };
  },
});
