import about from './about';

export default {
  install(store) {
    if (!store.state.system) {
      store.registerModule(['system'], {
        namespaced: true,
      });
    }
    if (!store.state.system.about) {
      store.registerModule(['system', 'about'], about);
    }
  },
  uninstall(store) {
    store.unregisterModule(['system', 'about']);
  },
};
