import Cookies from 'js-cookie';
import { TOKEN_KEY } from '@/config/index';

const TokenKey = TOKEN_KEY;

export function getToken() {
  return Cookies.get(TokenKey);
}

export function setToken(token, expires) {
  return Cookies.set(TokenKey, token, { expires: expires });
}

export function removeToken() {
  return Cookies.remove(TOKEN_KEY);
}
